# Journal de bord

## Module 1

### Langage markdown

__Texte en gras__

Exemple :

```
Le texte apparaîtra en __gras__
```

Résultat :

Le texte apparaîtra en __gras__

__Texte en italique__

Exemple :

```
Le texte apparaîtra en _italique_
```

Résultat :

Le texte apparaîtra en _italique_

__Liste à puce__

Exemple :

```
- item
- item
    - sous-item
    - sous-item
- item
```

Résultat : 

- item
- item
    - sous-item
    - sous-item
- item

__Code__

Exemple :

```
Ligne de `code`
```

Résultat :

Ligne de `code`

### Le notebook Jupyter


__Liens pour des trucs et astuces__

[Ici](https://www.dataquest.io/blog/jupyter-notebook-tips-tricks-shortcuts/)

__Créer un notebook dans un répertoire donné__

1. A partir du menu : `File` &rarr; `Open` (ceci permet d'accéder au gestionnaire de fichiers de jupyter)
2. Naviguez jusque dans le répertoire où vous souhaitez créer le notebook
3. Utilisez le bouton en haut à droite : `New` &rarr; `Notebook: Python 3`
4. Donnez un nom à votre notebook à partir du menu : `File` &rarr; `Rename`

__Améliorer la lisibilité du notebook__

Plier et déplier du code : 

```
pip3 install jupyter_contrib_nbextensions
# jupyter contrib nbextension install --user # not done yet
```

Contrôler la visibilité des cellules :

```
sudo pip3 install hide_code
sudo jupyter-nbextension  install --py hide_code
jupyter-nbextension  enable --py hide_code
jupyter-serverextension enable --py hide_code
```